/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package archeopterix.algorithm.learning.benchmarks;

public class DynOption extends Option{

	private double W;
	private double timeLast;
	private double timesDyn;

	
	protected DynOption(int Num, double vScaling, int _W) {
		super(Num, vScaling);
		W=_W;
		timeLast=0;
		timesDyn=1;

	}
	
	@Override
	void applyReward(double reward, double timeNow, boolean used){
		//cout << "APPLICATION Op: " << num << "; Rewd: " << reward << endl;
		expectation = expectation * (W/(W+(timeNow - timeLast))) + (1/(timesDyn+1)) * reward;
		timesDyn = timesDyn * ( W/(W + (timeNow - timeLast)) + 1/(timesDyn+1));
		//cout << timeNow << " " << num << " " << timeLast << " " << reward << " " << expectation << " " << timesDyn << " " << W << " " << used << endl;
		if(used){
			timeLast = timeNow;
			times++;
			tried=true;
		}
	}

	@Override
	double getExploration(double nb_total){
		return (v_scaling * Math.sqrt( 2.0 * Math.log(nb_total) / timesDyn));
	}

	@Override
	double getTimesDyn(){
		return timesDyn;
	}




}
