
package archeopterix.algorithm.localSearch;

import archeopterix.problem.deployment.solution.OriginalDeploymentSolution;

/**
 *
 * @author Alda
 */
public class SteepestDescent extends LocalSearch{     

    @Override
    public void oneIteration() {
        OriginalDeploymentSolution newSolution = new OriginalDeploymentSolution(problem);
        problem.evaluateAttributes(newSolution);
        for(int iComp=0;iComp<i_Comps-1;iComp++){
            int host1= newSolution.getHostIndex(iComp);
            int host2=newSolution.getHostIndex(iComp+1);
            newSolution.set(iComp, host2);
            newSolution.set(iComp+1, host1);
            problem.evaluateAttributes(newSolution);
            if(comp.compare(newSolution, solution)==1){
                solution=newSolution.clone();
                problem.evaluateAttributes(solution);
            }
            else{
                break;
            }
            //System.out.println(getNumberEvaluations() + ": "+localBestSolution.getAttributeValue(0));
        }
        //System.out.println(getNumberEvaluations() + ": "+solution.getAttributeValue(0));
        incrementIteration();
    }
}
