package archeopterix.algorithm.localSearch;

import archeopterix.problem.deployment.solution.OriginalDeploymentSolution;
import java.util.Random;

public class VariableNeighbourhood extends LocalSearch{
        
    @Override
    public void oneIteration() {
        OriginalDeploymentSolution tempSol = (OriginalDeploymentSolution)solution.clone();
        problem.evaluateAttributes(tempSol);
        Random rnd = new Random();
        if(rnd.nextDouble()>0.5)
            kOpt(0,2, tempSol);
        else
            oneFlip(0, tempSol);
        if(comp.compare(tempSol, solution)==1){
            solution=tempSol.clone();
            problem.evaluateAttributes(solution);
        }
        incrementIteration();
    }
    
}
