/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package archeopterix.problem;
import java.io.Serializable;
import java.util.Comparator;

/**
 * Compares {@link Component}s based on the number of alternative ECUs to which
 * they may be assigned, with fewer options appearing before more
 * options.
 *
 * @author irene
 */
public class ComponentOptionCountComparator implements Comparator<Component>, Serializable
{
	private static final long serialVersionUID = 1L;

	public int compare(Component eD1, Component eD2) {
		//Ascending Order
		if ( eD1.getCanUseHostListLength() < eD2.getCanUseHostListLength() )
			return -1;
		else if (eD1.getCanUseHostListLength() > eD2.getCanUseHostListLength())
			return 1;
		else 
			return 0;
	}

}

