/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package archeopterix.problem.deployment.solution;

import archeopterix.problem.Component;
import archeopterix.problem.EmbeddedSystemProblem;
import archeopterix.solution.Architecture;
import java.util.List;

/**
 *
 * @author indika
 */
public abstract class DeploymentSolution extends Architecture{

    protected int i_Components;
    protected int i_Hosts;

    public DeploymentSolution(){
        super();
    }
    public DeploymentSolution(DeploymentSolution dep){
        super(dep);
    }
   
    public abstract int getHostIndex( int iCompIndex );
    public abstract List <Component> getComponentListForHost(int iHostIndex, EmbeddedSystemProblem oProblem);
    public abstract void randomlyAllocate(List<Component> lstSortedComponents);
 
}
