package archeopterix.solution.comparator;

import archeopterix.solution.Architecture;

public class GenericMOComparator<T extends Architecture> extends GenericComparator<T>
{
    protected boolean prepared = false;
    protected int feasibleSolutionCount;
    protected int popSize;
    
    @Override
    public void unprepare()
    {
	prepared = false;
    }
    
    public boolean isPrepared()
    {
	return prepared;
    }
    
    protected int getFeasibleSolutionCount()
    {
	return feasibleSolutionCount;
    }

}


