/**
 * 
 */
package archeopterix.util.io;

/**
 * @author JMontgomery
 *
 */
public interface ArcheOpterixXMLConstants {

	/** Node name for text nodes, as opposed to elements */
	public static final String TEXT_NODE_NAME = "#text";

	/**
	 * Element name for generic properties (with name and type attributes and
	 * a textual value).
	 */
	public static final String PROPERTY = "property";

	/** Name of the name attribute. */
	public static final String ATTRIB_NAME = "name";

	/** Name of the type attribute. */
	public static final String ATTRIB_TYPE = "type";

	//Possible data type values
	public static final String DT_DOUBLE = "double";
	public static final String DT_FLOAT = "float";
	public static final String DT_INTEGER = "integer";
	public static final String DT_BOOLEAN = "boolean";
	public static final String DT_STRING = "string";
	public static final String DT_DOUBLELIST = "doublelist";
	public static final String DT_INTLIST = "integerlist";
	public static final String DT_CLASS = "class";
	public static final String DT_CLASSLIST = "classlist";
	public static String DT_PROB_DIST = "probdistribution";
	public static String DT_PROB_DIST_LIST = "probdistributionlist";

}
