package archeopterix.algorithm.aco;

import archeopterix.solution.Architecture;

//import java.util.LinkedList;

public abstract class Ant {

	protected ACO 				m_Algo;
	public double[] 			ad_Weights;
	public 	Architecture 			m_Memory;
	
	public abstract boolean Travel();
	public abstract void UpdateTrack(int iAtt, int iQuantity);
	
	public Architecture GetMemory(){
		return m_Memory;
	}
	
	public void SetMemory(Architecture oDep){
            m_Memory = oDep;
	}


}
