/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package archeopterix.algorithm.ea;

import archeopterix.algorithm.Operators;
import archeopterix.problem.EmbeddedSystemProblem;
import archeopterix.solution.Architecture;
import archeopterix.solution.OutOfOptionsException;

/**
 *
 * @author imeedeniya
 */
public abstract class EAOperators implements Operators {

	public abstract Architecture singlePointMutation(Architecture oArch, EmbeddedSystemProblem context) throws OutOfOptionsException;
	public abstract Architecture uniformMutation(Architecture oArch, EmbeddedSystemProblem context, double prob);
	public abstract Architecture swapMutation(Architecture oArch, EmbeddedSystemProblem context) throws OutOfOptionsException;
	public abstract Architecture[] singlePointCrossover(Architecture oParent1, Architecture oParent2, EmbeddedSystemProblem context) throws OutOfOptionsException;
	public abstract Architecture[] uniformCrossover(Architecture oParent1, Architecture oParent2, EmbeddedSystemProblem context, double prob);
}
