package archeopterix.algorithm.learning;

/**
 *
 * @author Alda
 */
public class ContinuousIntervalClustering extends GenericClustering{
    /**
     * returns an array of integers, the ith elements represents the cluster
     * index of the ith pattern
     */
    @Override
    public void cluster() {
        nClusters = 0;
        int[] clusterIndices = new int[patterns.length];      
        clusterIndices[0] = nClusters;

        for (int i = 1; i < patterns.length-1; i++){
            if(patterns[i].euclideanNorm(patterns[i-1])>patterns[i].euclideanNorm(patterns[i+1])&&!patterns[i].getName().equals(patterns[i-1].getName())){
                nClusters++;           
            }
             clusterIndices[i] = nClusters;
        }
        
        clusterIndices[patterns.length-1]=nClusters;
        mm.moveAllPatterns(clusterIndices);
    }

    @Override
    public void classify() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

}
