package archeopterix.algorithm.learning.utils;

/**
 *
 * @author Alda
 */
public class Bin {
    protected Object value;
    protected int index;
    protected BinPerformance binPerformance;

    public void initialise(int ind){
        index = ind;
    }
    public void setBinPerformance(BinPerformance newBinP){
        binPerformance = newBinP.clone();
    }
    public int getBinIndex(){
        return index;
    }
    public void setBinIndex(int i){
        index=i;
    }
    public Object getValue(){
        return value;
    }

    public void setValue(Object newValue){
        value = newValue;
    }
    public Bin(int ind){
        index = ind;
        binPerformance = new BinPerformance();
    }   
    public Bin(Object newValue, int ind){
        index = ind;
        binPerformance = new BinPerformance();
        value = newValue;
    }
    @Override
    public Bin clone(){
        Bin newBin = new Bin(index);
        newBin.setValue(value);
        newBin.setBinIndex(index);
        newBin.setBinPerformance(binPerformance.clone());
        return newBin;
    }
    
    public BinPerformance getBinPerformance(){
        if(binPerformance==null){
            binPerformance = new BinPerformance();
        }
        return binPerformance;
    }

    public Object getIndex(){
        return index;
    }

}
