package archeopterix.algorithm.learning.utils;

import java.util.Random;

public class ObjectParameter extends Parameter{

    private Object[] parameterValues;

    public ObjectParameter(Object sName, int nBins,Object paramValues[]){
        super(sName,nBins);
        setParameterValuess(paramValues);

    }
    public void setParameterValuess(Object[] paramValues){
            parameterValues=paramValues.clone();
    }
    
    @Override
     public void setCurrentBin(int binIndex){
        super.setCurrentBin(binIndex);
        currentBin.setValue(parameterValues[binIndex]);
    }
    @Override
    public Parameter clone(){
        Parameter param = new ObjectParameter(name, nBins, parameterValues);
        param.setListBins(listBins);
        param.setCurrentBin(currentBin);
        return param;
    }
    public Object[] getParameterValues(){
            return parameterValues;
    }
	
    @Override   
    public void initialiseRandomly(int iteration){
        Random random = new Random();
       int index = random.nextInt(listBins.size());
       currentBin = listBins.get(index).clone();
       currentBin.setValue(parameterValues[index]);
    }
    @Override
    public void initialiseBins(){
       super.initialiseBins();
       int index=0;
       for(Object pValue: parameterValues){
            Bin bin = new Bin(pValue, index++);
            listBins.add(bin);
        }
    }
    
    

}