/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package archeopterix.experiments;

import archeopterix.algorithm.Algorithm;
import archeopterix.algorithm.AlgorithmExecutor;
import archeopterix.conf.Conf;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 *
 * @author Alda
 */
public class MultiOperatorExperiment {
    
    private static final Log log = LogFactory.getLog(MultiOperatorExperiment.class);
    private int runs =60;
    
    
    public static void main(String[] args) {
        System.out.println("*** Starting Archeopterix Experiment *** " );      
        MultiOperatorExperiment mOp = new MultiOperatorExperiment();   
        Conf conf = Conf.instance();
        conf.loadFromXML("utils/config/nsga_conf.xml");      
        conf.initLogging(); 
        mOp.runExperiment();
        System.out.println("*** Archeopterix DONE ***");
    }
        
    public void runExperiment(){    
        for(int i=0;i<runs;i++){    
            AlgorithmExecutor algExec = new AlgorithmExecutor(Conf.instance());
            Algorithm alg=algExec.run();
            log.debug("Run:"+i+":"+alg.getQuality());
        }
        
    }
    
}
