package archeopterix.problem;

import archeopterix.util.PropertyMap;


public class Host extends ObjectWithProperties {
	public static final String LABEL = "ECU";
	//Properties of ECUs; if will be the same for all problems should use an enum
	public static final String COST = "Cost";
	public static final String FAILURE_RATE = "FailureRate";
        public static final String FAILURE_RATE_DT = "FailureRateDT";
	public static final String LOC_LIST = "LocalisationList";
	public static final String MEMORY = "Mem";
	public static final String SPEED_MIPS = "ProcSpeed";
        public static final String REPAIR_RATE = "RepairRate";
        public static final String SOJOURN_TIME = "SojournTime";
         public static final String POWER_DISSIPATION = "PowerDissipation";
        public static final String POWER_DISSIPATION_DT = "PowerDissipationDT";
	

	public final int index;
	//  private Set m_compIndexSet;

	public Host(String name, int index, PropertyMap propertyMap) {
		super(name, propertyMap);
		this.index = index;
	}

}