/**
 * 
 */
package archeopterix.solution;

import archeopterix.problem.EmbeddedSystemProblem;

/**
 * Marks a solution implementation as having some ability to repair itself.
 * The nature of the repair is left to the solution.
 * 
 * @author JMontgomery
 *
 */
public interface Repairable {
	public void attemptRepair(EmbeddedSystemProblem problem) throws OutOfOptionsException;
}
