package archeopterix.unused;

import java.util.HashMap;


public class Connection {
	 private String m_source, m_target;
	  private HashMap<String,Object> m_propertyMap;
		
	  public Connection(String source, String target, HashMap<String,Object> propertyMap)
	  {
		m_source = source;	
		m_target = target;
		m_propertyMap = propertyMap;
	  }
	  
	  public String getSource()
	  {
		return m_source;
	  }
	  
	  public String getTarget()
	  {
		return m_target;
	  }
	  
	  public HashMap<String,Object> getPropertyMap()
	  {
		return m_propertyMap;
	  }
	  
	  public String toString()
	  {
		  return "(" + m_source + "," + m_target + "," + m_propertyMap + ")";
	  }
}
